
package findservices;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


@Entity
public class Category implements Serializable {

    @Id
    private int catcode;
    private String catname;
    public int getCatcode() {
        return this.catcode;
    }

    public void setCatcode(int id) {
        this.catcode = id;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int)catcode;
        return hash;
    }


    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Category)) {
            return false;
        }
        Category other = (Category)object;
        if (this.catcode != other.catcode) return false;
        return true;
    }

    @Override
    public String toString() {
        return "findservices.Category[id=" + catcode + "]";
    }

    public String getCatname() {
        return catname;
    }

    public void setCatname(String catname) {
        this.catname = catname;
    }
    
}
