package findservices;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;


@Stateless
public class MemberEntityFacade implements MemberEntityFacadeLocal, MemberEntityFacadeRemote {

    @PersistenceContext
    private EntityManager em;
    
    /** Creates a new instance of MemberEntityFacade */
    public MemberEntityFacade() {
    }

    public void create(MemberEntity memberEntity) {
        em.persist(memberEntity);
    }

    public void edit(MemberEntity memberEntity) {
        em.merge(memberEntity);
    }

    public void destroy(MemberEntity memberEntity) {
        em.merge(memberEntity);
        em.remove(memberEntity);
    }

    public MemberEntity find(Object pk) {
        return (MemberEntity) em.find(MemberEntity.class, pk);
    }
    
    public List findAll() {
        return em.createQuery("select object(o) from MemberEntity as o").getResultList();
    }

    public MemberEntity login(String email, String pwd) {
        MemberEntity m = find(email);
        if ( m != null)
          if ( m.getPwd().equals(pwd))
              return m;
      return null;
    } // login
} // class
