
package findservices;

import java.util.List;

public class ServiceBean {
        public static boolean add(
                String name,
                String description,
                String address,
                String phone,
                String email,
                String catcode,
                String member)  {
      ServiceFacadeRemote  serviceRemote = ServiceLocator.getServiceRemote();
      try {
        Service s = new Service();
        s.setName(name);
        s.setDescription(description);
        s.setAddress(address);
        s.setPhone(phone);
        s.setEmail(email);
        s.setCatcode(catcode);
        s.setMember(member);
        serviceRemote.create(s);
        return true;
      } catch(Exception ex){
           System.out.println(ex.getMessage());
           return false;
     } // catch
    } // add
        
    public static List getServicesByMember(String email)        {
           ServiceFacadeRemote  serviceRemote = ServiceLocator.getServiceRemote();   
           return serviceRemote.getServicesByMember(email);
    }
    
    public static List getCategories()        {
           ServiceFacadeRemote  serviceRemote = ServiceLocator.getServiceRemote();   
           return serviceRemote.getCategories();
    }
    
    public static List search(String name, String description)        {
           ServiceFacadeRemote  serviceRemote = ServiceLocator.getServiceRemote();   
           return serviceRemote.search(name,description);
    }
    
    public static boolean  delete(String id) {
           ServiceFacadeRemote  serviceRemote = ServiceLocator.getServiceRemote();   
           int i = Integer.parseInt(id);
           Service s = serviceRemote.find(i);
           if (s!= null) {
                 serviceRemote.destroy(s);
                 return true;
           }
           else
               return false;
    }

}
