package findservices;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="Member")
public class MemberEntity implements Serializable {
    @Id
    private String email;
    private String pwd;
    private String fullname;
    @Override
    public boolean equals(Object object) {
        if (!(object instanceof MemberEntity)) {
            return false;
        }
        MemberEntity other = (MemberEntity)object;
        if (this.getEmail() != other.getEmail() && (this.getEmail() == null || !this.getEmail().equals(other.getEmail()))) return false;
        return true;
    }

    @Override
    public String toString() {
        return getEmail();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getFullname() {
        return fullname;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }
    
}
