package findservices;

import java.io.*;
import java.net.*;
import java.util.*;
import java.text.*;
import javax.servlet.*;
import javax.servlet.http.*;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class AuthFilter implements Filter {
    public void doFilter(ServletRequest request, ServletResponse response,
            FilterChain chain)
            throws IOException, ServletException {
        try {
            HttpServletRequest req= (HttpServletRequest) request;
            HttpServletResponse res= (HttpServletResponse) response;
            HttpSession ses = req.getSession(false);
            if ( ses == null || ses.getAttribute("member") == null)
                res.sendRedirect("../index.jsp");
            else
                chain.doFilter(request, response);
        }
        catch(Throwable t) {
          System.out.println(t.getMessage());
        }
    }
    public void destroy() {
    }
     public void init(FilterConfig filterConfig) {
     }
 }
