
package findservices;
import javax.naming.InitialContext;

public class ServiceLocator {
    private static MemberEntityFacadeRemote memberRemote=null;
    private static ServiceFacadeRemote serviceRemote=null;
    public static MemberEntityFacadeRemote getMemberRemote() {
        if ( memberRemote == null) {
            try {
                InitialContext ctx = new InitialContext();
                memberRemote = (MemberEntityFacadeRemote) ctx.lookup("findservices/MemberEntityFacade/remote");
            } catch(Exception ex) {
                System.out.println( ex.getMessage());
            }
        }
        return memberRemote;
    }
    
    public static ServiceFacadeRemote getServiceRemote() {
        if ( serviceRemote == null) {
            try {
                InitialContext ctx = new InitialContext();
                serviceRemote = (ServiceFacadeRemote) ctx.lookup("findservices/ServiceFacade/remote");
            } catch(Exception ex) {
                System.out.println( ex.getMessage());
            }
        }
        return serviceRemote;
    }
    
}
